Blade & Soul Support

Errors E01005, E02018, E02015, E02016, E02019

These errors, while different, are similar in nature in that something on your system or network is interfering with the connection of the launcher.

First of all, please make sure that you are using the correct game client as using the CBT client or an outdated client could result in these error messages (esp. E02018).

Your game client version should be 2.6.62.843. If this is not the case, you will need to download the correct version here: http://download.bladeandsoul.com/BnS_Lite_Installer.exe

If you encounter these errors when using the correct game client, we recommend you try the following steps:

  • Close out any 3rd party processes that may be interfering with the NCSOFT Game Launcher. You can do this by following the steps for the Windows command MSCONFIG here.  In addition to this we ask that you disable or even temporarily remove any security software installed as we have seen these types of programs cause these errors as well.
  • If you’re using a router or a wireless connection you bypass all other network devices and connect directly to your modem with an Ethernet cable.  For assistance with this click here.
  • If none of these steps were helpful to you please open a support request with the Technical Support department.  We recommend that first you run a DXDIAG and attach those results to your support ticket.
Was this article helpful?
60 out of 719 found this helpful
Have more questions? Submit a request